//
//  TheDotView.h
//  TheDot
//
//  Created by Alexander Thomas on Mon Jul 29 2002.
//  dr.lex@cryogen.com
//  http://go.to/dr.lex
//  Copyright (c) 2001. All rights reserved.
//

#import <ScreenSaver/ScreenSaver.h>


@interface TheDotView : ScreenSaverView 
{
  NSPoint center;
  NSRect dotRect;
  NSColor *color;
  float diameter, speed, step;
  int shape;

  // The IBOutlets allow to control the items in the config window (setting the position of
  // the sliders and so on). In Interface Builder, you need to make a connection from the
  // "File's Owner" (ctrl-drag from "File's Owner" to an item) and set the source to the
  // corresponding IBOutlet. The recommended way to import the IBOutlets and other information
  // about the screensaver class, is choosing "Read files..." from the Classes menu, and
  // select this header file (after it is finished, of course).
  IBOutlet id configureSheet;
  
  IBOutlet id IBtitle;

  IBOutlet id IBradius; // Radius is actually the diameter.
  IBOutlet id IBradiusView;
  IBOutlet id IBspeed;
  IBOutlet id IBspeedView;
  IBOutlet id IBstep;
  IBOutlet id IBstepView;
  IBOutlet id IBshape;
  IBOutlet id IBsquare;
  IBOutlet id IBround;
  IBOutlet id IBcolor;

  // This object stores the user defaults. You could always use this object to address
  // and update your variables, but I chose to only read it at startup and write it when
  // the config sheet is closed, and work with variables at all other times.
  ScreenSaverDefaults *defaults;
}

- (void) loadFactorySettings;
- (void) loadValues;

- (IBAction)setRadius:(id)sender;
- (IBAction)setSpeed:(id)sender;
- (IBAction)setStep:(id)sender;
- (IBAction)setShape:(id)sender;
- (IBAction)setColor:(id)sender;
- (IBAction)closeSheet:(id)sender;

@end
